#!/bin/bash

    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo "This script will install flowmeter monitoring for reef-pi and is provided by Robo-Tank."
    echo ""
    echo ""
    echo ""
    echo ""
    echo "Copyright (c) 2021 Robo-Tank"
    echo ""
    echo "Licensed under the Apache License, Version 2.0 (the "License");"
    echo "you may not use this file except in compliance with the License."
    echo "You may obtain a copy of the License at"
    echo ""
    echo "    http://www.apache.org/licenses/LICENSE-2.0"
    echo ""
    echo "Unless required by applicable law or agreed to in writing, software"
    echo "distributed under the License is distributed on an "AS IS" BASIS,"
    echo "WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied."
    echo "See the License for the specific language governing permissions and"
    echo "limitations under the License."
    echo ""
    echo ""
    echo ""
    echo ""
    echo "press any key to install..."
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    read input
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""


    sudo systemctl stop flowmeters.service

    sudo rm -rf /var/lib/reef-pi/flowmeters
    
    wget https://project-downloads.drogon.net/wiringpi-latest.deb
    sudo dpkg -i wiringpi-latest.deb
    sudo rm wiringpi-latest.deb

    # sudo wget -c https://robo-tank.ca/reef-pi/flowmeters.zip
    # sudo unzip flowmeters.zip
    # sudo bash install_flowmeters.sh

    sudo cp flowmeters/flowmeters.service /etc/systemd/system/flowmeters.service

    sudo chmod -R 770 /etc/systemd/system/flowmeters.service
        
    sudo mkdir /var/lib/reef-pi/flowmeters

    sudo cp flowmeters/flowmeters /var/lib/reef-pi/flowmeters/flowmeters
    # sudo cp flowmeters/flowmeters.html /var/lib/reef-pi/ui/assets/flowmeters.html
    # sudo cp flowmeters/flowmeters.js /var/lib/reef-pi/flowmeters/flowmeters.js
    sudo cp flowmeters/flowmeters.cpp /var/lib/reef-pi/flowmeters/flowmeters.cpp
    sudo cp flowmeters/flowmeters_counters.cpp /var/lib/reef-pi/flowmeters/flowmeters_counters.cpp
    sudo cp flowmeters/settings.txt /var/lib/reef-pi/flowmeters/settings.txt

    sudo chmod -R 777 /var/lib/reef-pi/flowmeters/

    sudo rm -r flowmeters/
    sudo rm flowmeters.zip
    sudo rm install_flowmeters.sh

    # enable service to run at startup
    sudo systemctl enable flowmeters.service
    sudo systemctl start flowmeters.service
    # sudo systemctl stop flowmeters.service
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo "----------------------------------------------------------------------------"
    echo ""
    echo "Installation Complete"
    echo ""
    echo "----------------------------------------------------------------------------"
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
    echo ""
